function [H_det]=f_hymna(x,fs,k,delkaS,handles)  %funkce pro hledani hymny
NN=1024;   %delka ramce
min_delka_hymny=20;   %(s)
vys='';
krok=20;
prah=0.45;
% konfigurace % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
if exist('conf.xls','file')==2
    st=konfigurace('anthem');
    for i=1:length(st)
        switch st(i).name
            case('NN')
                NN=st(i).cislo;
            case('min_delka')
                min_delka_hymny=st(i).cislo;
            case('krok')
                krok=st(i).cislo;
            case('prah')
                prah=st(i).cislo;
        end
    end 
end
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %

% urceni melovskych kepstralnich koeficientu z voiceboxu
melcoef=melcepst(x,fs,'N',20,20,NN,NN,0,0.5);

[M N]=size(melcoef);

% nacteni neuronove site

nnhymna=importdata('nnhymna.mat');    %presna definice souboru bude v budoucnu

Y=zeros(M,1);
H_det=zeros(2,M);
i=1;
m=1;
%     vypocteni casove osy
H_det(2,:)=linspace(1/(fs/NN)+k*delkaS,M/(fs/NN)+k*delkaS,M);
while (i<=M)

    Y(m)= sim(nnhymna,melcoef(i,:)');
%     zrychleni detekce hymny
    if m<krok       %prvnich nekolik se bude brat po jednom 
        i=i+1;    
    elseif Y(m)>prah
        if sum(Y(m-krok+1:m))>(krok*prah)      %vyhodnotim sumu vseho
            H_det(1,i-krok+1:i)=1;
            i=i+round(sum(Y(m-krok+1:m)));         %podle vysledku sumy skocim dale
        else
            i=i+1;
        end
    else
        i=i+krok-round(sum(Y(m-krok+1:m)));
    end
    m=m+1;
end

index=find(H_det(1,:)>zeros(1,M));
if length(index)>10
    od=H_det(2,min(index));  %(s)
    do=H_det(2,max(index));  %(s)
    if do-od>min_delka_hymny    %(s)
        vys=strvcat(['čase: ',num2str(fix(do/60)),':'...
            ,num2str(do-fix(do/60)*60),' (s)' ],vys);
        vys=strvcat(['Byl detekovan konec hymny v '],vys);
        vys=strvcat([' '],vys);
        vys=strvcat(['čase: ',num2str(fix(od/60)),':'...
            ,num2str(od-fix(od/60)*60),' (s)' ],vys);
        vys=strvcat(['Byl detekovan zacatek hymny v '],vys);    
    end
    set(handles.listbox2,'String',vys);
end
% vykresleni informaci do listboxu

    
    


if get(handles.checkbox5,'Value')==1
    bar(handles.axes1,H_det(2,:)/60,H_det(1,:));
    set(handles.axes1,'XLim',[min(H_det(2,:))/60 max(H_det(2,:))/60])
    pause(0.001)
end

%             min=(k)/2;
%             sec=(i)/(fs/NN);
%             set(handles.text2,'String', ['Hymna v: ' num2str(min) ' min ' ...
%                 num2str(sec) ' sec']);


